Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1DUTILS.h	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1DUTILS.h	(revision 4743)
@@ -266,5 +266,5 @@
 !Config  Def  = 0.
 !Config  Help = 
-       tsurf = 0.
+       time_ini = 0.
        CALL getin('time_ini',time_ini)
 
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 4743)
@@ -1,3 +1,3 @@
-#include "netcdf.inc"
+        INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4743)
@@ -73,9 +73,17 @@
 
 ! initial and boundary conditions :
+      ! initial pressure
       psurf = ps_prof_cas
-      if (tskin_prof_cas .NE. 0.) THEN
+
+      !initial surface temperature
+      if (tskin_prof_cas .NE. 0.) then
+      ! we take the first value of the prescribed ts
           tsurf=tskin_prof_cas
+      else if (ts_prof_cas .NE. 0) then
+      ! if an initial ts value is present, we take it
+          tsurf=ts_prof_cas
       endif
 
+      ! ts forcing during the run (if any)
       tg = ts_prof_cas
       if ((tg .eq. 0.) .and. (tskin_prof_cas .NE. 0.)) THEN
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1Dconv.h	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/1Dconv.h	(revision 4743)
@@ -13,5 +13,5 @@
 !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       INTEGER klev
@@ -461,6 +461,6 @@
       implicit none
 
-#include "dimensions.h"
-!cccc#include "dimphy.h"
+      INCLUDE "dimensions.h"
+!cccc      INCLUDE "dimphy.h"
 
       integer k
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 4743)
@@ -59,5 +59,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -180,5 +180,5 @@
 !program reading forcings of the AMMA case study
       implicit none
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -407,5 +407,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 4743)
@@ -90,5 +90,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -267,5 +267,5 @@
 !program reading forcing of the case study
       implicit none
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -994,6 +994,6 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+        INCLUDE "compar1d.h"
+        INCLUDE "date_cas.h"
 
 ! inputs:
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4743)
@@ -81,5 +81,5 @@
     implicit none
 
-#include "netcdf.inc"
+    INCLUDE "netcdf.inc"
 
     INTEGER nid,rid,ierr
@@ -192,5 +192,5 @@
     implicit none
 
-#include "netcdf.inc"
+    INCLUDE "netcdf.inc"
 
     INTEGER nid,rid,ierr
@@ -240,5 +240,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -320,6 +320,6 @@
     implicit none
 
-#include "netcdf.inc"
-#include "date_cas.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -393,5 +393,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -543,5 +543,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -660,5 +660,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -831,5 +831,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel,k,t
@@ -1061,6 +1061,6 @@
   !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+  INCLUDE "compar1d.h"
+  INCLUDE "date_cas.h"
 
   ! inputs:
@@ -1270,6 +1270,6 @@
   !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+  INCLUDE "compar1d.h"
+  INCLUDE "date_cas.h"
 
   ! inputs:
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4743)
@@ -90,6 +90,6 @@
     implicit none
 
-#include "netcdf.inc"
-#include "date_cas.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -163,5 +163,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -331,6 +331,6 @@
     use netcdf, only: nf90_get_var
     implicit none
-#include "netcdf.inc"
-#include "compar1d.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "compar1d.h"
 
     integer ntime,nlevel,k,t
@@ -671,6 +671,6 @@
     !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+    INCLUDE "compar1d.h"
+    INCLUDE "date_cas.h"
 
     ! inputs:
@@ -934,6 +934,6 @@
     implicit none
 
-#include "YOMCST.h"
-#include "dimensions.h"
+    INCLUDE "YOMCST.h"
+    INCLUDE "dimensions.h"
 
     !-------------------------------------------------------------------------
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 4743)
@@ -150,5 +150,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -495,5 +495,5 @@
 
          implicit none
-#include "netcdf.inc"
+         INCLUDE "netcdf.inc"
          integer nid,ttm,llm
          real*8 time(ttm)
@@ -545,5 +545,5 @@
        implicit none
 
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -659,5 +659,5 @@
        implicit none
 
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -781,5 +781,5 @@
 ! Read RICO forcing data 
 !-------------------------------------------------------------------------
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 
@@ -1057,5 +1057,5 @@
        implicit none
  
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1179,5 +1179,5 @@
        implicit none
  
-#include "dimensions.h"
+       INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1338,5 +1338,5 @@
        implicit none
  
-#include "dimensions.h"
+       INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1561,5 +1561,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1703,5 +1703,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1816,5 +1816,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -2173,5 +2173,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -2385,6 +2385,6 @@
       implicit none
 
-#include "netcdf.inc"
-#include "YOMCST.h"
+      INCLUDE "netcdf.inc"
+      INCLUDE "YOMCST.h"
 
       integer ntime,nlevel
@@ -2719,5 +2719,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel,nsol
@@ -2960,5 +2960,5 @@
       
       parameter (ncm_1=49180)
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       real albsfc(ncm_1), albsfc_w(ncm_1)
@@ -3064,5 +3064,5 @@
       SUBROUTINE read_rtmip(nlev_rtmip,play,plev,t,h2o,o3)
       
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       real t(nlev_rtmip), pt(nlev_rtmip),pb(nlev_rtmip),h2o(nlev_rtmip), o3(nlev_rtmip)
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_1D_decl_cases.h
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 4743)
@@ -1,3 +1,3 @@
-#include "netcdf.inc"
+         INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 4743)
@@ -47,18 +47,18 @@
 
       implicit none
-#include "dimensions.h"
-#include "YOMCST.h"
-!!#include "control.h"
-#include "clesphys.h"
-#include "dimsoil.h"
-!#include "indicesol.h"
-
-#include "compar1d.h"
-#include "flux_arp.h"
-#include "date_cas.h"
-#include "tsoilnudge.h"
-#include "fcg_gcssold.h"
-!!!#include "fbforcing.h"
-#include "compbl.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "YOMCST.h"
+!!      INCLUDE "control.h"
+      INCLUDE "clesphys.h"
+      INCLUDE "dimsoil.h"
+!      INCLUDE "indicesol.h"
+
+      INCLUDE "compar1d.h"
+      INCLUDE "flux_arp.h"
+      INCLUDE "date_cas.h"
+      INCLUDE "tsoilnudge.h"
+      INCLUDE "fcg_gcssold.h"
+!!!      INCLUDE "fbforcing.h"
+      INCLUDE "compbl.h"
 
 !=====================================================================
@@ -163,5 +163,5 @@
 !=====================================================================
 !
-#include "old_1D_decl_cases.h"
+      INCLUDE "old_1D_decl_cases.h"
 !
 !---------------------------------------------------------------------
@@ -721,5 +721,5 @@
 !=====================================================================
 
-#include "old_1D_read_forc_cases.h"
+      INCLUDE "old_1D_read_forc_cases.h"
 
       if (forcing_GCM2SCM) then
@@ -1069,5 +1069,5 @@
 !---------------------------------------------------------------------
 
-#include "old_1D_interp_cases.h"
+      INCLUDE "old_1D_interp_cases.h"
 
       if (forcing_GCM2SCM) then
@@ -1257,5 +1257,5 @@
 ! au dessus de 700hpa, on relaxe vers les profils initiaux
       if (forcing_sandu .OR. forcing_astex) then
-#include "1D_nudge_sandu_astex.h"
+      INCLUDE "1D_nudge_sandu_astex.h"
       else
         u(1:mxcalc)=u(1:mxcalc) + timestep*(                                &
@@ -1362,3 +1362,3 @@
         END SUBROUTINE old_lmdz1d
 
-#include "old_1DUTILS_read_interp.h"
+        INCLUDE "old_1DUTILS_read_interp.h"
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/replay1d.F90	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/replay1d.F90	(revision 4743)
@@ -11,5 +11,5 @@
 
       implicit none
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 real :: airefi
@@ -75,5 +75,5 @@
 ! Initialisation de la parametrisation
 !---------------------------------------------------------------------
-call get_ini_module
+call call_ini_replay
 
 !---------------------------------------------------------------------
Index: LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/scm.F90
===================================================================
--- LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/scm.F90	(revision 4584)
+++ LMDZ6/branches/Portage_acc/libf/phylmd/dyn1d/scm.F90	(revision 4743)
@@ -43,17 +43,17 @@
 
       implicit none
-#include "dimensions.h"
-#include "YOMCST.h"
-!!#include "control.h"
-#include "clesphys.h"
-#include "dimsoil.h"
-!#include "indicesol.h"
-
-#include "compar1d.h"
-#include "flux_arp.h"
-#include "date_cas.h"
-#include "tsoilnudge.h"
-#include "fcg_gcssold.h"
-#include "compbl.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "YOMCST.h"
+!!      INCLUDE "control.h"
+      INCLUDE "clesphys.h"
+      INCLUDE "dimsoil.h"
+!      INCLUDE "indicesol.h"
+
+      INCLUDE "compar1d.h"
+      INCLUDE "flux_arp.h"
+      INCLUDE "date_cas.h"
+      INCLUDE "tsoilnudge.h"
+      INCLUDE "fcg_gcssold.h"
+      INCLUDE "compbl.h"
 
 !=====================================================================
@@ -129,5 +129,5 @@
 !=====================================================================
 !
-#include "1D_decl_cases.h"
+      INCLUDE "1D_decl_cases.h"
 !
 !---------------------------------------------------------------------
@@ -489,5 +489,5 @@
 !=====================================================================
 
-#include "1D_read_forc_cases.h"
+      INCLUDE "1D_read_forc_cases.h"
    print*,'A d_t_adv ',d_t_adv(1:20)*86400
 
@@ -807,5 +807,5 @@
 !---------------------------------------------------------------------
 
-#include "1D_interp_cases.h"
+      INCLUDE "1D_interp_cases.h"
 
 !---------------------------------------------------------------------
